Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares
Interface RunSet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RunSetImpl

    public interface RunSet

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Run Set'.

The following features are supported:

- `Result`
- `Started`
- `Finished`
- `Runs`

See Also:
  `AresPackage.getRunSet()`

Method Summary
`java.util.Date` | `getFinished()` Returns the value of the 'Finished' attribute.
`ResultType` | `getResult()` Returns the value of the 'Result' attribute.
`org.eclipse.emf.common.util.EList<Run>` | `getRuns()` Returns the value of the 'Runs' containment reference list.
`java.util.Date` | `getStarted()` Returns the value of the 'Started' attribute.
`void` | `setFinished(java.util.Date value)` Sets the value of the '`Finished`' attribute.
`void` | `setResult(ResultType value)` Sets the value of the '`Result`' attribute.
`void` | `setStarted(java.util.Date value)` Sets the value of the '`Started`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResult

    ResultType getResult()

  Returns the value of the 'Result' attribute. The literals are from the enumeration `ResultType`.

  If the meaning of the 'Result' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result' attribute.
  See Also:
    `ResultType`, `setResult(ResultType)`, `AresPackage.getRunSet_Result()`

### setResult

    void setResult(ResultType value)

  Sets the value of the '`Result`' attribute.

  Parameters:
    `value` - the new value of the 'Result' attribute.
  See Also:
    `ResultType`, `getResult()`

### getStarted

    java.util.Date getStarted()

  Returns the value of the 'Started' attribute.

  If the meaning of the 'Started' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Started' attribute.
  See Also:
    `setStarted(Date)`, `AresPackage.getRunSet_Started()`

### setStarted

    void setStarted(java.util.Date value)

  Sets the value of the '`Started`' attribute.

  Parameters:
    `value` - the new value of the 'Started' attribute.
  See Also:
    `getStarted()`

### getFinished

    java.util.Date getFinished()

  Returns the value of the 'Finished' attribute.

  If the meaning of the 'Finished' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `setFinished(Date)`, `AresPackage.getRunSet_Finished()`

### setFinished

    void setFinished(java.util.Date value)

  Sets the value of the '`Finished`' attribute.

  Parameters:
    `value` - the new value of the 'Finished' attribute.
  See Also:
    `getFinished()`

### getRuns

    org.eclipse.emf.common.util.EList<Run> getRuns()

  Returns the value of the 'Runs' containment reference list. The list contents are of type `Run`.

  If the meaning of the 'Runs' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Runs' containment reference list.
  See Also:
    `AresPackage.getRunSet_Runs()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD